# My very own custom pages for tealdeer (`tldr` client)

My favorite [tldr](https://tldr.sh/) client [tealdeer](https://github.com/tealdeer-rs/tealdeer)
has the ability to show user defined custom pages.

## How to use

Clone this repo to the parent directory of `Custom pages dir` (default: `~/.local/share/tealdeer`).
To print the path used on your system, simply run tldr --show-paths.


## File name extension

There are two types of files for defining custom pages:

| Type          | Extension         | Description                                         |
|---------------|-------------------|-----------------------------------------------------|
| Custom Page   | `<name>.page.md`  | shown instead of the upstream version in the cache. |
| Custom Patch  | `<name>.patch.md` | appended to existing pages.                         |


See: [Custom Pages and Patches - Tealdeer User Manual](https://tealdeer-rs.github.io/tealdeer/usage_custom_pages.html).
